"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseContactSensorData = void 0;
function parseContactSensorData(inputJson) {
    var _a, _b, _c, _d, _e, _f;
    var data = JSON.parse(inputJson);
    var outputData = {};
    var contact = 'N/A', // Default placeholder
    battery = 'N/A'; // Default placeholder
    // Assuming status is an array of objects, each with a 'code' and a 'value'
    var status = ((_a = data.result) === null || _a === void 0 ? void 0 : _a.status) || ((_c = (_b = data.payload) === null || _b === void 0 ? void 0 : _b.data) === null || _c === void 0 ? void 0 : _c.status) || ((_f = (_e = (_d = data.payload) === null || _d === void 0 ? void 0 : _d.data) === null || _e === void 0 ? void 0 : _e.bizData) === null || _f === void 0 ? void 0 : _f.properties) || [];
    // Extract values based on 'code'
    for (var _i = 0, status_1 = status; _i < status_1.length; _i++) {
        var item = status_1[_i];
        switch (item.code) {
            case 'doorcontact_state':
                contact = item.value.toString() == 'true' ? 'open' : item.value.toString() == 'false' ? 'closed' : 'N/A';
                break;
            case 'battery_percentage':
                battery = item.value;
                break;
        }
    }
    if (contact != 'N/A')
        outputData.contact = contact;
    if (battery != 'N/A')
        outputData.battery = battery;
    return outputData;
}
exports.parseContactSensorData = parseContactSensorData;
