"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSmartPlugData = void 0;
function parseSmartPlugData(inputJson) {
    var _a, _b, _c, _d, _e, _f;
    var data = JSON.parse(inputJson);
    var outputData = {};
    var current = 'N/A', // Default placeholder
    voltage = 'N/A', // Default placeholder
    power = 'N/A', // Default placeholder
    power_switch = 'N/A'; // Default placeholder
    // Assuming status is an array of objects, each with a 'code' and a 'value'
    var status = ((_a = data.result) === null || _a === void 0 ? void 0 : _a.status) || ((_c = (_b = data.payload) === null || _b === void 0 ? void 0 : _b.data) === null || _c === void 0 ? void 0 : _c.status) || ((_f = (_e = (_d = data.payload) === null || _d === void 0 ? void 0 : _d.data) === null || _e === void 0 ? void 0 : _e.bizData) === null || _f === void 0 ? void 0 : _f.properties) || [];
    // Extract values based on 'code'
    for (var _i = 0, status_1 = status; _i < status_1.length; _i++) {
        var item = status_1[_i];
        switch (item.code) {
            case 'cur_current':
                current = item.value;
                break;
            case 'cur_voltage':
                // Divide by 10 to adjust the value, while keeping the digits (e.g., 2234 becomes 223.4)
                voltage = (item.value / 10).toString();
                break;
            case 'cur_power':
                power = item.value;
                break;
            case 'switch_1':
                power_switch = item.value.toString() == 'true' ? 'power_on' : 'power_off';
                break;
        }
    }
    if (current.toString() != 'N/A')
        outputData.current = current;
    if (voltage.toString() != 'N/A')
        outputData.voltage = voltage;
    if (power.toString() != 'N/A')
        outputData.power = power;
    if (power_switch.toString() != 'N/A')
        outputData.power_switch = power_switch;
    return outputData;
}
exports.parseSmartPlugData = parseSmartPlugData;
