"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseTemperatureSensorData = void 0;
function parseTemperatureSensorData(inputJson) {
    var _a, _b, _c, _d, _e, _f;
    var data = JSON.parse(inputJson);
    var outputData = {};
    var temperature = 'N/A', // Default placeholder
    humidity = 'N/A', // Default placeholder
    battery = 'N/A'; // Default placeholder
    // Assuming status is an array of objects, each with a 'code' and a 'value'
    var status = ((_a = data.result) === null || _a === void 0 ? void 0 : _a.status) || ((_c = (_b = data.payload) === null || _b === void 0 ? void 0 : _b.data) === null || _c === void 0 ? void 0 : _c.status) || ((_f = (_e = (_d = data.payload) === null || _d === void 0 ? void 0 : _d.data) === null || _e === void 0 ? void 0 : _e.bizData) === null || _f === void 0 ? void 0 : _f.properties) || [];
    // Extract values based on 'code'
    for (var _i = 0, status_1 = status; _i < status_1.length; _i++) {
        var item = status_1[_i];
        switch (item.code) {
            case 'va_temperature':
                temperature = (item.value / 10).toString();
                break;
            case 'va_humidity':
                // Divide by 10 to adjust the value, while keeping the digits (e.g., 2234 becomes 223.4)
                humidity = item.value;
                break;
            case 'battery_percentage':
                battery = item.value;
                break;
        }
    }
    if (temperature != 'N/A')
        outputData.temperature = temperature;
    if (humidity != 'N/A')
        outputData.humidity = humidity;
    if (battery != 'N/A')
        outputData.battery = battery;
    return outputData;
}
exports.parseTemperatureSensorData = parseTemperatureSensorData;
